hpp-fcl: hpp::fcl::CollisionRequest Struct Reference

hpp-fcl 1.6.0 HPP fork of FCL -- The Flexible Collision Library

Public Member Functions | Public Attributes | List of all members
hpp::fcl::CollisionRequest Struct Reference

request to the collision algorithm More...

`#include <hpp/fcl/collision_data.h>`

Inheritance diagram for hpp::fcl::CollisionRequest:

## Public Member Functions
| CollisionRequest (const CollisionRequestFlag flag, size_t num_max_contacts_)
| CollisionRequest ()
bool | isSatisfied (const CollisionResult &result) const
bool | operator== (const CollisionRequest &other) const
| whether two CollisionRequest are the same or not More...
Public Member Functions inherited from hpp::fcl::QueryRequest
| QueryRequest ()
void | updateGuess (const QueryResult &result)
bool | operator== (const QueryRequest &other) const
| whether two QueryRequest are the same or not More...

## Public Attributes
size_t | num_max_contacts
| The maximum number of contacts will return. More...
bool | enable_contact
| whether the contact information (normal, penetration depth and contact position) will return More...
bool | enable_distance_lower_bound
| Whether a lower bound on distance is returned when objects are disjoint. More...
FCL_REAL | security_margin
| Distance below which objects are considered in collision. See Collision detection and distance lower bound. More...
FCL_REAL | break_distance
| Distance below which bounding volumes are broken down. See Collision detection and distance lower bound. More...
Public Attributes inherited from hpp::fcl::QueryRequest
bool | enable_cached_gjk_guess
| whether enable gjk intial guess More...
Vec3f | cached_gjk_guess
| the gjk intial guess set by user More...
support_func_guess_t | cached_support_func_guess
| the support function intial guess set by user More...

## Detailed Description

request to the collision algorithm

## Constructor & Destructor Documentation

## ◆ CollisionRequest() [1/2]

hpp::fcl::CollisionRequest::CollisionRequest | ( | const CollisionRequestFlag | flag,
|  | size_t | num_max_contacts_
| ) |  |
| inlineexplicit

## ◆ CollisionRequest() [2/2]

hpp::fcl::CollisionRequest::CollisionRequest | ( |  | ) |
| inline

## Member Function Documentation

## ◆ isSatisfied()

bool hpp::fcl::CollisionRequest::isSatisfied | ( | const CollisionResult & | result | ) | const

## ◆ operator==()

bool hpp::fcl::CollisionRequest::operator== | ( | const CollisionRequest & | other | ) | const
| inline

whether two CollisionRequest are the same or not

## Member Data Documentation

## ◆ break_distance

FCL_REAL hpp::fcl::CollisionRequest::break_distance

Distance below which bounding volumes are broken down. See Collision detection and distance lower bound.

## ◆ enable_contact

bool hpp::fcl::CollisionRequest::enable_contact

whether the contact information (normal, penetration depth and contact position) will return

## ◆ enable_distance_lower_bound

bool hpp::fcl::CollisionRequest::enable_distance_lower_bound

Whether a lower bound on distance is returned when objects are disjoint.

## ◆ num_max_contacts

size_t hpp::fcl::CollisionRequest::num_max_contacts

The maximum number of contacts will return.

## ◆ security_margin

FCL_REAL hpp::fcl::CollisionRequest::security_margin

Distance below which objects are considered in collision. See Collision detection and distance lower bound.

The documentation for this struct was generated from the following file:

- include/hpp/fcl/collision_data.h